## presence-notifier 0.1

=== debian/changelog ===
presence-notifier (0.1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Mon, 17 Jan 2011 23:57:04 +0100

## presence-notifier 0.4

=== Makefile ===
#HILDON_STATUS_PANEL_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
#HILDON_STATUS_PANEL_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir)
#HILDON_CONTROL_PANEL_LIB_DIR=$(shell pkg-config hildon-control-panel --variable=pluginlibdir)
#HILDON_CONTROL_PANEL_DATA_DIR=$(shell pkg-config hildon-control-panel --variable=plugindesktopentrydir)

HILDON_STATUS_PANEL_LIB_DIR=/usr/lib/hildon-desktop
HILDON_STATUS_PANEL_DATA_DIR=/usr/share/applications/hildon-status-menu
HILDON_CONTROL_PANEL_LIB_DIR=/usr/lib/hildon-control-panel
HILDON_CONTROL_PANEL_DATA_DIR=/usr/share/applications/hildon-control-panel


HILDON_LIB_DIR=/usr/lib
SUBDIRS= src src_cp
BUILDDIR=build
SP_LIB=presence-notifier-sp.so
CP_LIB=presence-notifier-cp.so
DATA_FILE_SP=presence-notifier-sp.desktop
DATA_FILE_CP=presence-notifier-cp.desktop
#IMAGE_PATH=/usr/share/pixmaps/message_blocker
CONTROL_PANEL_IMAGE_PATH=/usr/share/icons/hicolor/48x48/hildon/

all: create_builddir subdirs

install: all
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -m 644 $(BUILDDIR)/$(SP_LIB) $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -m 644 data/$(DATA_FILE_SP) $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
	install -m 644 data/$(DATA_FILE_CP) $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_LIB_DIR)
	install -m 644 $(BUILDDIR)/$(CP_LIB) $(DESTDIR)/$(HILDON_CONTROL_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(CONTROL_PANEL_IMAGE_PATH)
	install -m 644 data/presence-notifier-setup.png $(DESTDIR)/$(CONTROL_PANEL_IMAGE_PATH)

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

create_builddir:
	mkdir -p build

.PHONY: all clean install $(SUBDIRS)

clean:
	rm -rf build
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean); done

=== src/Makefile ===
OBJS=presence-notifier-sp.o
SOURCES=presence-notifier-sp.c
BUILDDIR=../build
LIB=$(BUILDDIR)/presence-notifier-sp.so
PKG_FLAGS=$(shell pkg-config glib-2.0 hildon-1 libhildondesktop-1 libosso-abook-1.0 telepathy-glib libebook-1.2 --libs --cflags)
CCFLAGS=-shared 
CC=gcc

all:$(LIB)

$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONE: clean all

clean:
	rm $(OBJS)

=== src_cp/Makefile ===
OBJS=presence_notifier_cp.o
SOURCES=presence_notifier_cp.c
BUILDDIR=../build
LIB=$(BUILDDIR)/presence-notifier-cp.so
PKG_FLAGS=$(shell pkg-config glib-2.0 hildon-1 libhildondesktop-1 libosso-abook-1.0 --libs --cflags)
CCFLAGS=-shared
CC=gcc

all:$(LIB)

$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONE: clean all

clean:
	rm $(OBJS)

## presence-notifier 0.2

=== debian/changelog ===
presence-notifier (0.2) unstable; urgency=low

  * fixed settings reading for autohide option

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 28 Jan 2011 19:32:17 +0100

=== debian/control ===
Source: presence-notifier
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, hildon-control-panel-dev, libdbus-1-dev, libosso-dev, libtelepathy-glib-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-abook-dev, libglib2.0-dev
Standards-Version: 3.7.2
Section: user/network

Package: presence-notifier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Presence Notifier
 Notifies you about presence status changes of your contacts
XB-Maemo-Display-Name:Presence Notifier
XSBC-Bugtracker: mailto:nicolaihess@web.de
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sBHAwTLMmvU84AAAZJSURBVGje7ZjLj1xXEcZ/dc69/Ri759Ge8ThW
 rNiMjcnEG2JpwsNZgDAyZAMsUBYsg8Q/wBokNiB2iAX/ACtACAFCYsESsJAg
 UhDCEopNII4N48lMPN19X+cUi3Puo8ezBiHdkkZ9+va591TV99VXdQd66623
 3nrrrbfeeuvtf263PvHi/6Xf0v0yWR3tffdbX3vtlb1dr64CFTAGMGGDOkDj
 bQpiAA9qmkuID58AooANP6iEvSSAi3827jGgGq8N4r4qnO3jGbUPKCoyQs23
 b9766lFSO3/70y9fvP2pG3dv3thAs39Gp6InGp1VaLyTOhBpv6uA+vApEoLp
 HNwGZuJz9PScegHrgvOi7blLPsgPgDaAb379S0kiC0z1NESuiqPEi8eqJRyZ
 BHfVRwcFvI8xKKgN2TISM+7Cod6DJDEgCQlFW9SMgHdhDz447aRF3dh4D2A8
 Em5UIp4APHduwGKWkc0zwPD39F0ejB5Q2IyRO8ON2UeY+g28+Jh8wVhBEKqy
 QhDUlKBgvIQkA+oV7wWhjGdKixbhOTgfs1tE9LSDHOCqdl3JEnJNAC5foOUM
 43Ie6QG/OftbBEGcoBzw9vghXz74LCupxauCGu699Q+ODnI++ZkPk80LRATE
 8vi99zk8mGGNMN1aZePcmXioPUGbmoaxbkxNEQFx7brlXrs/XmsCwDtwFWlW
 8YvRnyhzi6iJtxtU4FfJ73k9/xi5KXh6lHH47yMGA+HXP77Lq7d3ybIS52F+
 eMjjdw7Yu3UVEZgdHmEEktTiHKh32NQwSNOQbR9pVGqkiwa6mVjXhlCTjXhE
 5JYCKDOoMhbzY/ZXclYWaSwzRSKcT7SgzI6RAYjLUVew+9JlvvONX1IVBR+6
 ep6f/+SPfO6LH2U4EH76w99x8fkpRwdzrlzbQlEevL3P9Re3OTrM2Pv4FZRI
 l5pGLg/fJQhRCFBa+tUU5GQAbg7lgpEpsO+mZNOIFAZRRRM4s5+SrhQUpYOq
 QHxFtZgxGlsEx7Vr64xXBuSzY8RXbG+PsaZkYzpgZ2eNe395zHvvPGF7a8zm
 1gStinCGuMioJK6jIIjvqGAUhvraMwFUBbgCLwV33r/Aj5JHJIlt6t0Xjq8c
 buEmGVo6RAvwjjf/8IA7d67y6OExlAuSgWLVY/FYURIUL4qWGYJjc3OFmzfP
 o6pQLiIlonRK3ineopXeuhU01JFni5gqhyqnKma8tJUye7LB3cVTnnrPxTTl
 1midSxeEMpshYjg7FK5cGjKfW3Z2pjzeHlDlMz5/+wUmkwHeDXE6xsTMDW3J
 zgsjdq9f5m/3HnJh6yxr64PYO2Jmm3qVUPBagsSaaHqRtrL9bACLgIQoe2sp
 L5+Z4rwntRZjlSrPEXzQDvVsrllYtxSLGdOJQYuC7XMpaAVpVJSar27B2aEB
 X3D9ygRU0SIPmt7hdNO1TeS9Vp1G2RWlkwE4hdJDMQtyiJCIIzEp+ArxHiWo
 UpBxQaNue+9IUhtqBYtQdcaEjgT6SAEJGRVsaIomKlHToWMTVAm/YWKHt8s9
 ZBmBLBSyK5rZRlRByuYGqWcfoMgdB09y5rMCm1qevzRhMS+ZrKbRmchn7ei9
 1OnzrSxKTF7TGrqIxI6sLlBJqxPjyVIfmIcgyjxWPE2mmrZaw+gFXxTs788Y
 DS1/fWuf0cBxbn0AReRyMz5oyF6DCIHTzTgU1zV1atUwpjM/WaBcnpf0VASy
 VofpDlF1EuvOIiQILi/BetR5UimwYmM2Kxoh13pWivcqIZsudtNmHRFSbUeM
 pmBj9utpVk7pxFYdxlVQFh39rdu8dIZKrWcqrl9OqCplvDtkKI7s+JiVcTzQ
 x00NVVxcn5jkNQuJaeqlVpou1yMySJTXUxD48/2MVVOwKrM2C9CKsI+zjIaO
 afGMUw+pZTIGWAAGrQSpR2Uvy0rUivkp605wGpGJaLcUiFRsRtNOAG98/171
 +qvn+cKNKcZnJzLgOy1cO+iceBfo1klTuB1H1cQXHtNBJD5TTVSc7gsOnZeg
 WI8mqekkkLcB/Otg9vB7P7v/ypv3n3vt0uaaV43DlK/h8511PMxrC293YNQT
 ia1fdAzLE2bzTlFTxnQSpO35tjMPBSUboXIIH7Soba+N+38M9NZbb7311ltv
 vfX237X/AAXqQtSL5wHdAAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/presence-notifier install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## presence-notifier 0.3

=== debian/changelog ===
presence-notifier (0.3) unstable; urgency=low

  * suppress bulk of notifications when going online the first time after a reboot

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 30 Jan 2011 14:41:50 +0100

## presence-notifier 0.4

=== debian/changelog ===
presence-notifier (0.4) unstable; urgency=low

  * add optional logfile option
  * enable/disable "bubble" notification

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 05 Nov 2011 17:50:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: presence-notifier
 Priority: extra
 Maintainer: Nicolai Hess <nicolaihess@web.de>
-Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, hildon-control-panel-dev, libdbus-1-dev, libosso-dev, libtelepathy-glib-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-abook-dev, libglib2.0-dev
+Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, hildon-control-panel-dev, libdbus-1-dev, libosso-dev, libtelepathy-glib-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-abook-dev, libglib2.0-dev, libtime-dev
 Standards-Version: 3.7.2
 Section: user/network
